## org.apache.http.client.methods
Class HttpHead

    java.lang.Object
      org.apache.http.message.AbstractHttpMessage
          org.apache.http.client.methods.HttpRequestBase
              org.apache.http.client.methods.HttpHead

All Implemented Interfaces:
  Cloneable, AbortableHttpRequest, HttpUriRequest, HttpMessage, HttpRequest

    @NotThreadSafe
    public class HttpHead

extends HttpRequestBase

HTTP HEAD method.

The HTTP HEAD method is defined in section 9.4 of RFC2616:

> The HEAD method is identical to GET except that the server MUST NOT return a message-body in the response. The metainformation contained in the HTTP headers in response to a HEAD request SHOULD be identical to the information sent in response to a GET request. This method can be used for obtaining metainformation about the entity implied by the request without transferring the entity-body itself. This method is often used for testing hypertext links for validity, accessibility, and recent modification.

Since:
  4.0

Field Summary
`static String` `METHOD_NAME`

Fields inherited from class org.apache.http.message.AbstractHttpMessage
`headergroup, params`

Constructor Summary
`HttpHead()`
`HttpHead(String uri)`
`HttpHead(URI uri)`

Method Summary
`String` `getMethod()` Returns the HTTP method this request uses, such as `GET`, `PUT`, `POST`, or other.

Methods inherited from class org.apache.http.client.methods.HttpRequestBase
`abort, clone, getProtocolVersion, getRequestLine, getURI, isAborted, releaseConnection, reset, setConnectionRequest, setReleaseTrigger, setURI, toString`

Methods inherited from class org.apache.http.message.AbstractHttpMessage
`addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.http.HttpMessage
`addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

Field Detail

### METHOD_NAME

    public static final String METHOD_NAME

See Also:
  Constant Field Values

Constructor Detail

### HttpHead

    public HttpHead()

### HttpHead

    public HttpHead(URI uri)

### HttpHead

    public HttpHead(String uri)

Throws:
  `IllegalArgumentException` - if the uri is invalid.

Method Detail

### getMethod

    public String getMethod()

  Description copied from interface: `HttpUriRequest`
  Returns the HTTP method this request uses, such as `GET`, `PUT`, `POST`, or other.

  Specified by:
    `getMethod` in interface `HttpUriRequest`
  Specified by:
    `getMethod` in class `HttpRequestBase`

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.